<%@ Control Language="C#" AutoEventWireup="true" CodeBehind="SocialDashboard.ascx.cs" Inherits="DotNetNuke.Modules.SocialDashboard.Controls.SocialDashboard" %>
<%@ Register TagPrefix="dnn" Assembly="DotNetNuke" Namespace="DotNetNuke.UI.WebControls"%>

<div class="dnnForm dnnSocial dnnClear">
    <asp:DataGrid ID="grdSocial" runat="server" GridLines="None" AutoGenerateColumns="false" EnableViewState="False" CssClass="dnnGrid">
        <headerstyle cssclass="dnnGridHeader" verticalalign="Top" />
        <ItemStyle cssclass="dnnGridItem" horizontalalign="Left" />
        <AlternatingItemStyle cssclass="dnnGridAltItem" />
        <footerstyle cssclass="dnnGridFooter" />
        <pagerstyle cssclass="dnnGridPager" />
        <Columns>
            <asp:BoundColumn DataField="PortalName" HeaderText="PortalName" ItemStyle-Width="200px"/>
            <asp:BoundColumn DataField="DispNumberUsers" HeaderText="DispNumberUsers" ItemStyle-Width="300px"/>
            <asp:BoundColumn DataField="DispUsersWithFriends" HeaderText="DispUsersWithFriends" ItemStyle-Width="100px"/>
            <asp:BoundColumn DataField="DispNumberFriendships" HeaderText="DispNumberFriendships" ItemStyle-Width="100px"/>
            <asp:BoundColumn DataField="DispFirstFriendshipDate" HeaderText="DispFirstFriendshipDate" ItemStyle-Width="100px" />
            <asp:BoundColumn DataField="DispLastFriendshipDate" HeaderText="DispLastFriendshipDate" ItemStyle-Width="100px" />

            <asp:BoundColumn DataField="DispUsersWithFollowers" HeaderText="DispUsersWithFollowers" ItemStyle-Width="100px"/>
            <asp:BoundColumn DataField="DispUsersFollowing" HeaderText="DispUsersFollowing" ItemStyle-Width="100px" />
            <asp:BoundColumn DataField="DispFirstFollowerDate" HeaderText="DispFirstFollowerDate" ItemStyle-Width="100px" />
            <asp:BoundColumn DataField="DispLastFollowerDate" HeaderText="DispLastFollowerDate" ItemStyle-Width="100px" />

            <asp:BoundColumn DataField="DispNumberGroups" HeaderText="DispNumberGroups" ItemStyle-Width="100px" />
            <asp:BoundColumn DataField="DispUsersInGroups" HeaderText="DispUsersInGroups" ItemStyle-Width="100px" />

        </Columns>
    </asp:DataGrid>
</div>